E-Shop

Home > E-Shop > Modules > Su-25 for DCS World
Su-25 for DCS World

Note: the aircraft model is identical to the Flaming Cliffs 3 module. Owners of FC3 do not need to purchase.

The Su-25 'Grach' (Rook), NATO callsigned 'Frogfoot', is a dedicated strike attack aircraft designed for the close air support and anti-tank roles. The Su-25 has seen combat in several conflicts during its more than 30 years in service. The Su-25 combines excellent pilot protection and high speed compared to most dedicated attack aircraft. It can be armed with a variety of weapon systems including guided missiles, bombs, rockets, and its internal 30mm cannon.

Features:

  • Detailed and accurate 3D model and animations
  • Six Degrees of Freedom (6DOF) capable cockpit
  • Advanced Flight Model (AFM)
  • Campaign and missions
  • Both Simulation and Game modes
STEAM Incompatible

Minimum system requirements (LOW graphics settings): OS 64-bit Windows 7/8/10; DirectX11; CPU: Intel Core i3 at 2.8 GHz or AMD FX; RAM: 8 GB (16 GB for heavy missions); Free hard disk space: 60 GB; Discrete video card NVIDIA GeForce GTX 760 / AMD R9 280X or better; requires internet activation.

Recommended system requirements (HIGH graphics settings): OS 64-bit Windows 8/10; DirectX11; CPU: Core i5+ at 3+ GHz or AMD FX / Ryzen; RAM: 16 GB (32 GB for heavy missions); Free hard disk space: 120 GB on Solid State Drive (SSD); Discrete video card NVIDIA GeForce GTX 1070 / AMD Radeon RX VEGA 56 with 8GB VRAM or better; Joystick; requires internet activation.

Recommended VR systems requirements (VR graphics settings): OS 64-bit Windows 8/10; DirectX11; CPU: Core i5+ at 3+ GHz or AMD FX / Ryzen; RAM: 16 GB (32 GB for heavy missions); Free hard disk space: 120 GB on Solid State Drive (SSD); Discrete video card NVIDIA GeForce GTX 1080 / AMD Radeon RX VEGA 64 or better; Joystick; requires internet activation.

This product can be downloaded and installed through the DCS World Module Manager. If you do not have DCS World installed, you can download the DCS World web-installer by clicking this link. If the product description does not have information about which DCS World version you should install, you only need to have the "Stable" version DCS World 2.5 installed on your PC.

FOLLOW US